#
# spec file for package perl-Digest-HMAC (Version 1.01)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl-Digest-MD5 perl-Digest-SHA1
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-Digest-MD5 perl-Digest-SHA1 ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Digest-HMAC
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Requires:     perl-Digest-MD5 perl-Digest-SHA1
Autoreqprov:  on
Summary:      Keyed-Hashing for Message Authentication
Version:      1.01
Release:      31
Source:       Digest-HMAC-%{version}.tar.bz2
BuildRoot:    /var/tmp/%{name}-build

%description
HMAC is used for message integrity checks between two parties that
share a secret key, and works in combination with some other Digest
algorithm, usually MD5 or SHA-1. The HMAC mechanism is described in
RFC 2104.

Authors:
--------
    Graham Barr <gbarr@ti.com> 
    Gisle Aas <gisle@aas.no>

SuSE series: perl

%prep
%setup -n Digest-HMAC-%{version}

%build
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Digest-HMAC
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/Digest/HMAC
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-,root,root)
%doc %{_mandir}/man3/*
%doc README rfc2104.txt MANIFEST Changes
%{perl_sitearch}/../Digest/HMAC*.pm
%{perl_sitearch}/auto/Digest/HMAC
/var/adm/perl-modules/perl-Digest-HMAC

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%changelog -n perl-Digest-HMAC
* Tue Aug 14 2001 - rvasice@suse.cz
- initial package release (version 1.01)
